For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
  • Processor Endpoints
    • POSTRun Processor
    • GETGet Processor Run
    • GETList Processor Runs
    • POSTCancel Processor Run
    • DELDelete Processor Run
    • GETGet Batch Processor Run
    • GETList Processors
    • POSTCreate Processor
    • POSTUpdate Processor
    • POSTPublish Processor Version
    • GETGet Processor Version
    • GETList Processor Versions
  • Parse Endpoints
    • POSTParse File
    • POSTParse File Async
    • GETGet Parser Run
    • DELDelete Parser Run
  • Workflow Endpoints
    • POSTRun Workflow
    • GETGet Workflow Run
    • GETList Workflow Runs
    • POSTUpdate Workflow Run
    • POSTCancel Workflow Run
    • DELDelete Workflow Run
    • POSTCreate Workflow
    • POSTBatch Run Workflow
    • POSTCorrect Workflow Run Outputs
  • File Endpoints
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • GETList Files
    • POSTCreate File
  • Edit Endpoints
    • POSTEdit File
    • POSTEdit File Async
    • POSTGenerate Edit Schema
    • GETGet Edit Run
    • DELDelete Edit Run
    • GETGet Edit Template
  • Evaluation Set Endpoints
    • GETGet Evaluation Set
    • GETList Evaluation Sets
    • POSTCreate Evaluation Set
    • GETList Evaluation Set Items
    • POSTCreate Evaluation Set Item
    • POSTUpdate Evaluation Set Item
    • DELDelete Evaluation Set Item
    • POSTBulk Create Evaluation Set Items
LogoLogo
Book a demoLog in
Parse Endpoints

Parse File Async

POST
https://api.extend.ai/parse/async
POST
/parse/async
$curl -X POST https://api.extend.ai/parse/async \
> -H "x-extend-api-version: 2025-04-21" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "file": {}
>}'
1{
2 "object": "parser_run_status",
3 "id": "parser_run_xK9mLPqRtN3vS8wF5hB2cQ",
4 "status": "PROCESSING",
5 "failureReason": "string"
6}
Parse files **asynchronously** to get cleaned, chunked target content (e.g. markdown). The Parse Async endpoint allows you to convert documents into structured, machine-readable formats with fine-grained control over the parsing process. This endpoint is ideal for extracting cleaned document content to be used as context for downstream processing, e.g. RAG pipelines, custom ingestion pipelines, embeddings classification, etc. Parse files asynchronously and get a parser run ID that can be used to check status and retrieve results with the [Get Parser Run](https://docs.extend.ai/2025-04-21/developers/api-reference/parse-endpoints/get-parser-run) endpoint. This is useful for: * Large files that may take longer to process * Avoiding timeout issues with synchronous parsing. For more details, see the [Parse File guide](https://docs.extend.ai/2025-04-21/product/parsing/parse).
Was this page helpful?
Previous

Get Parser Run

Next
Built with

Parse files asynchronously to get cleaned, chunked target content (e.g. markdown).

The Parse Async endpoint allows you to convert documents into structured, machine-readable formats with fine-grained control over the parsing process. This endpoint is ideal for extracting cleaned document content to be used as context for downstream processing, e.g. RAG pipelines, custom ingestion pipelines, embeddings classification, etc.

Parse files asynchronously and get a parser run ID that can be used to check status and retrieve results with the Get Parser Run endpoint.

This is useful for:

  • Large files that may take longer to process
  • Avoiding timeout issues with synchronous parsing.

For more details, see the Parse File guide.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2025-04-21"OptionalDefaults to 2025-04-21

API version to use for the request. If you do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

Request

This endpoint expects an object.
fileobjectRequired
A file object containing either a URL or a fileId.
configobjectOptional
Configuration options for the parsing process.

Response

Successfully initiated parser run
objectenum

The type of object. Will always be "parser_run_status".

Allowed values:
idstring

A unique identifier for the parser run. Will always start with "parser_run_"

Example: "parser_run_xK9mLPqRtN3vS8wF5hB2cQ"

statusenum
The status of the parser run.
Allowed values:
failureReasonstring
The reason for failure if status is "FAILED".

Errors

400
Bad Request Error
401
Unauthorized Error